## org.eclipse.emf.ecoretools.diagram.edit.helpers
Class EcoreBaseEditHelper

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper
          org.eclipse.emf.ecoretools.diagram.edit.helpers.EcoreBaseEditHelper

All Implemented Interfaces:
  org.eclipse.gmf.runtime.emf.type.core.edithelper.IEditHelper

Direct Known Subclasses:
  EAnnotationEditHelper, EAttributeEditHelper, EClassEditHelper, EDataTypeEditHelper, EEnumEditHelper, EEnumLiteralEditHelper, EOperationEditHelper, EPackageEditHelper, EReferenceEditHelper, EStringToStringMapEntryEditHelper

    public class EcoreBaseEditHelper

extends org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper

Field Summary
`static java.lang.String` `EDIT_POLICY_COMMAND`

Constructor Summary
`EcoreBaseEditHelper()`

Method Summary
`protected org.eclipse.gmf.runtime.common.core.command.ICommand` `getCreateCommand(org.eclipse.gmf.runtime.emf.type.core.requests.CreateElementRequest req)`
`protected org.eclipse.gmf.runtime.common.core.command.ICommand` `getCreateRelationshipCommand(org.eclipse.gmf.runtime.emf.type.core.requests.CreateRelationshipRequest req)`
`protected org.eclipse.gmf.runtime.common.core.command.ICommand` `getDestroyElementCommand(org.eclipse.gmf.runtime.emf.type.core.requests.DestroyElementRequest req)`
`protected org.eclipse.gmf.runtime.common.core.command.ICommand` `getDestroyReferenceCommand(org.eclipse.gmf.runtime.emf.type.core.requests.DestroyReferenceRequest req)`
`protected org.eclipse.gmf.runtime.common.core.command.ICommand` `getInsteadCommand(org.eclipse.gmf.runtime.emf.type.core.requests.IEditCommandRequest req)`

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper

`approveRequest, canEdit, configureRequest, createCommand, getBasicDestroyElementCommand, getConfigureCommand, getContainedValues, getDefaultContainmentFeature, getDefaultContainmentFeatures, getDestroyDependentsCommand, getDestroyElementWithDependentsCommand, getDuplicateCommand, getEditCommand, getEditContextCommand, getEditHelperAdvice, getMoveCommand, getReorientReferenceRelationshipCommand, getReorientRelationshipCommand, getSetCommand, initializeDefaultFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EDIT_POLICY_COMMAND

    public static final java.lang.String EDIT_POLICY_COMMAND

See Also:
  Constant Field Values

Constructor Detail

### EcoreBaseEditHelper

    public EcoreBaseEditHelper()

Method Detail

### getInsteadCommand

    protected org.eclipse.gmf.runtime.common.core.command.ICommand getInsteadCommand(org.eclipse.gmf.runtime.emf.type.core.requests.IEditCommandRequest req)

  Overrides:
    `getInsteadCommand` in class `org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper`

### getCreateCommand

    protected org.eclipse.gmf.runtime.common.core.command.ICommand getCreateCommand(org.eclipse.gmf.runtime.emf.type.core.requests.CreateElementRequest req)

  Overrides:
    `getCreateCommand` in class `org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper`

### getCreateRelationshipCommand

    protected org.eclipse.gmf.runtime.common.core.command.ICommand getCreateRelationshipCommand(org.eclipse.gmf.runtime.emf.type.core.requests.CreateRelationshipRequest req)

  Overrides:
    `getCreateRelationshipCommand` in class `org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper`

### getDestroyElementCommand

    protected org.eclipse.gmf.runtime.common.core.command.ICommand getDestroyElementCommand(org.eclipse.gmf.runtime.emf.type.core.requests.DestroyElementRequest req)

  Overrides:
    `getDestroyElementCommand` in class `org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper`

### getDestroyReferenceCommand

    protected org.eclipse.gmf.runtime.common.core.command.ICommand getDestroyReferenceCommand(org.eclipse.gmf.runtime.emf.type.core.requests.DestroyReferenceRequest req)

  Overrides:
    `getDestroyReferenceCommand` in class `org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper`

Copyright 2007 Anyware Technologies. All Rights Reserved.